#!/bin/sh
PATH=/sbin:/usr/sbin:/bin:/usr/bin
TEXTDOMAIN=initscripts
#set null for normal operation, set true to spit out lots of messages

. ./network-functions

# 1st arg - ntp, wins, or dns
# 2nd arg - interface (can be "fallback")
# 3rd arg - list of space delimited servers
# 4th arg - domain for dns

DEVICE=$2

if [ -z $DEVICE ] ; then
    echo "Usage : [ntp|wins|dns] interface server-list domain(dns only)"
    exit 1
fi

case "$1" in
    ntp)
        add_assigned_ntp $2 "$3"
        restart_upnp
    ;;
    wins)
        add_assigned_wins $2 "$3"
        reread_samba_config
    ;;
    dns)
        add_assigned_dns $2 "$3" $4 
    ;;
esac
